<?php
AGSDashboard::VERSION; // Access control
?>

<?php AGSDashboard::showAdminNavbar('settings'); ?>


<div class="ags-dashboard-settings-wrapper">

<?php if (empty($_GET['wizard'])) { // phpcs:ignore WordPress.Security.NonceVerification -- just checking a flag ?>

    <div id="ags-dashboard-settings-accounts" class="ags-dashboard-block">
        <div class="ags-dashboard-block-content">
			<?php if ( is_multisite() ) { ?>
				<p class="ags-dashboard-info"><?php esc_html_e('This site is part of a WordPress multisite network. Logging in or out here will take effect for your user account on all network sites that you have access to.', 'ags-dashboard'); ?></p>
			<?php } ?>
            <?php AGSDashboard::showAccountsTable(); ?>
        </div>
    </div>

    <div class="agsd-row">
        <div class="agsd-col-sm-6">
            <div id="ags-dashboard-settings-preferences" class="ags-dashboard-block ags-dashboard-block-grey">
                <div class="ags-dashboard-block-title">
                    <h2><?php esc_html_e('My Preferences', 'ags-dashboard'); ?></h2>
                </div>
                <div class="ags-dashboard-block-content">
                    <p class="ags-dashboard-success"><?php esc_html_e('Your changes were saved.', 'ags-dashboard'); ?></p>
                    <p class="ags-dashboard-error"><?php esc_html_e('Something went wrong while saving your changes. Please refresh the page and try again.', 'ags-dashboard'); ?></p>
					<?php if ( is_multisite() ) { ?>
						<p class="ags-dashboard-info"><?php esc_html_e('These preferences will take effect for your user account on all multisite network sites that you have access to.', 'ags-dashboard'); ?></p>
					<?php } ?>

                    <?php wp_nonce_field('ags-dashboard-change-user-prefs', 'ags-dashboard-change-user-prefs-nonce', false); ?>

                    <div>
                        <label>
                            <input type="checkbox" name="keysVisibleToOthers" <?php if (self::getUserPreference('keysVisibleToOthers', false)) echo(' checked'); ?>>
                            <?php esc_html_e('Allow other users to see my activated license keys', 'ags-dashboard'); ?>
                        </label>
                    </div>
                </div>
            </div>
        </div>

        <div class="agsd-col-sm-6">
            <div id="ags-dashboard-settings-tools" class="ags-dashboard-block ags-dashboard-block-grey">
                <div class="ags-dashboard-block-title">
                    <h2><?php esc_html_e('Tools', 'ags-dashboard'); ?></h2>
                </div>
                <div class="ags-dashboard-block-content">
					
					<?php if ( !is_multisite() || is_network_admin() ) { ?>
                    <a href="<?php echo(esc_url(admin_url('admin-ajax.php') . '?action=ags_dashboard_check_updates&nonce=' . wp_create_nonce('ags_dashboard_check_updates'))); ?>" class="button ags-dashboard-btn-primary ags-dashboard-ajax-link">
                        <?php esc_html_e('Check for Product Updates', 'ags-dashboard'); ?>
                    </a>
					<?php } ?>
					
					<?php if ( !is_network_admin() ) { ?>
                    <a href="<?php echo(esc_url(admin_url('admin-ajax.php') . '?action=ags_dashboard_check_license_keys&nonce=' . wp_create_nonce('ags_dashboard_check_license_keys'))); ?>" class="button ags-dashboard-btn-primary ags-dashboard-ajax-link">
                        <?php esc_html_e('Refresh License Key Expiry Dates', 'ags-dashboard'); ?>
                    </a>
					<?php } ?>
					
					<?php if ( !is_multisite() || is_network_admin() ) { ?>
                    <a href="<?php echo(esc_url(admin_url('admin-ajax.php') . '?action=ags_dashboard_refresh_catalog&nonce=' . wp_create_nonce('ags_dashboard_refresh_catalog'))); ?>" class="button ags-dashboard-btn-primary ags-dashboard-ajax-link">
                        <?php esc_html_e('Refresh Product Catalog', 'ags-dashboard'); ?>
                    </a>
					<?php } ?>
					
                </div>
            </div>
        </div>

    </div>
	
	<?php } else { //show wizard ?>
		
		<div id="ags-dashboard-wizard">
			
			<div id="ags-dashboard-wizard-title">
				 <ol id="ags-dashboard-wizard-steps">
					<li><span><?php esc_html_e('Welcome', 'ags-dashboard'); ?></span></li>
					<li class="ags-dashboard-wizard-step-future"><span><?php esc_html_e('Log In', 'ags-dashboard'); ?></span></li>
					<li class="ags-dashboard-wizard-step-future"><span><?php esc_html_e('Done!', 'ags-dashboard'); ?></span></li>
				 </ol>
			</div>
			
			<div id="ags-dashboard-wizard-body">
				
				<div id="ags-dashboard-wizard-loading">
					<div class="ags-dashboard-wizard-loading-inner">
                        <div class="ags-dashboard-wizard-loading-spinner"></div>
					    <p><?php esc_html_e('Loading...', 'ags-dashboard'); ?></p>
                    </div>
				</div>
				
				<div id="ags-dashboard-wizard-content">
					<?php include(__DIR__.'/../wizard/step1.php'); ?>
				</div>
				
				<div id="ags-dashboard-wizard-buttons">
					<button class="ags-dashboard-btn"><?php esc_html_e('Skip', 'ags-dashboard'); ?></button>
					<button class="ags-dashboard-btn-primary"><?php esc_html_e('Continue', 'ags-dashboard'); ?></button>
				</div>

                <a id="ags-dashboard-wizard-close" href="<?php echo(esc_url(remove_query_arg('wizard'))); ?>"><?php esc_html_e('Close', 'ags-dashboard'); ?></a>

            </div>
			
			
			
		</div>
		
		
	<?php } ?>

</div>
